### Hierarchy

- RecordSetVisitor
  - SdaSelectedWorkPackagesState

### Implements

- JsonObjectVisitor

## Index

### Constructors

- constructor

### Methods

- addOrUpdateAllRecords
- addOrUpdateRecord
- copyAsJsonObject
- copyAsJsonString
- enclosedJsonObject
- fromRecordId
- recordCount
- visitAndClearRecords
- visitAndSetHasMore
- visitHasMore
- visitRecordAtId
- visitRecords
- addOrUpdateRecord
- emptyRecordSetVisitor

## Constructors

### constructor

- new SdaSelectedWorkPackagesState(value: string | object): SdaSelectedWorkPackagesState

- Overrides RecordSetVisitor.constructor

  - Defined in ppm/SelectedWorkPackagesRecordSetVisitor.ts:7

  #### Parameters

  - ##### value: string | object

  #### Returns SdaSelectedWorkPackagesState

## Methods

### addOrUpdateAllRecords

- addOrUpdateAllRecords(recordSetState: RecordSetVisitor): void

- Inherited from RecordSetVisitor.addOrUpdateAllRecords

  - Defined in proxy/RecordSetVisitor.ts:63

  #### Parameters

  - ##### recordSetState: RecordSetVisitor

  #### Returns void

### addOrUpdateRecord

- addOrUpdateRecord(recordState: RecordVisitor): void

- Inherited from RecordSetVisitor.addOrUpdateRecord

  - Defined in proxy/RecordSetVisitor.ts:69

  #### Parameters

  - ##### recordState: RecordVisitor

  #### Returns void

### copyAsJsonObject

- copyAsJsonObject(): object

- Implementation of JsonObjectVisitor.copyAsJsonObject

  Inherited from RecordSetVisitor.copyAsJsonObject

  - Defined in proxy/RecordSetVisitor.ts:49

  #### Returns object

### copyAsJsonString

- copyAsJsonString(): string

- Implementation of JsonObjectVisitor.copyAsJsonString

  Inherited from RecordSetVisitor.copyAsJsonString

  - Defined in proxy/RecordSetVisitor.ts:53

  #### Returns string

### enclosedJsonObject

- enclosedJsonObject(): any

- Implementation of JsonObjectVisitor.enclosedJsonObject

  Inherited from RecordSetVisitor.enclosedJsonObject

  - Defined in proxy/RecordSetVisitor.ts:57

  #### Returns any

### fromRecordId

- fromRecordId(recordId: string): any[]

- Inherited from RecordSetVisitor.fromRecordId

  - Defined in proxy/RecordSetVisitor.ts:86

  #### Parameters

  - ##### recordId: string

  #### Returns any[]

### recordCount

- recordCount(): number

- Inherited from RecordSetVisitor.recordCount

  - Defined in proxy/RecordSetVisitor.ts:104

  #### Returns number

### visitAndClearRecords

- visitAndClearRecords(): void

- Inherited from RecordSetVisitor.visitAndClearRecords

  - Defined in proxy/RecordSetVisitor.ts:108

  #### Returns void

### visitAndSetHasMore

- visitAndSetHasMore(hasMore: boolean): void

- Inherited from RecordSetVisitor.visitAndSetHasMore

  - Defined in proxy/RecordSetVisitor.ts:116

  #### Parameters

  - ##### hasMore: boolean

  #### Returns void

### visitHasMore

- visitHasMore(): boolean

- Inherited from RecordSetVisitor.visitHasMore

  - Defined in proxy/RecordSetVisitor.ts:112

  #### Returns boolean

### visitRecordAtId

- visitRecordAtId(id: string): SelectedWorkPackageVisitor

- Overrides RecordSetVisitor.visitRecordAtId

  - Defined in ppm/SelectedWorkPackagesRecordSetVisitor.ts:21

  #### Parameters

  - ##### id: string

  #### Returns SelectedWorkPackageVisitor

### visitRecords

- visitRecords(): IterableIterator<SelectedWorkPackageVisitor>

- Overrides RecordSetVisitor.visitRecords

  - Defined in ppm/SelectedWorkPackagesRecordSetVisitor.ts:25

  #### Returns IterableIterator<SelectedWorkPackageVisitor>

### Static addOrUpdateRecord

- addOrUpdateRecord(jsonObject: object, recordState: RecordVisitor): void

- Inherited from RecordSetVisitor.addOrUpdateRecord

  - Defined in proxy/RecordSetVisitor.ts:34

  #### Parameters

  - ##### jsonObject: object

  - ##### recordState: RecordVisitor

  #### Returns void

### Static emptyRecordSetVisitor

- emptyRecordSetVisitor(): SdaSelectedWorkPackagesState

- Overrides RecordSetVisitor.emptyRecordSetVisitor

  - Defined in ppm/SelectedWorkPackagesRecordSetVisitor.ts:15

  #### Returns SdaSelectedWorkPackagesState

Generated using TypeDoc